// This file is automatically generated by sila2lib.proto_builder.proto_builder version 0.2.0
// :generation date: 2020-04-16 12:19:12
//
// ---- PLEASE DO NOT MODIFY MANUALLY !! ---

syntax = "proto3";
import "SiLAFramework.proto";
package sila2.org.silastandard.examples.reactorservicer.v1;

// Feature: Reactor Servicer
//   
//           Control a DASGIP reactor module. Enables read and write operations for various parameters, including reactor
//   sensor, controller, and alarm.
//           By Lukas Bromig, Institute of Biochemical Engineering, Technical University of Munich, 20.05.2019
//   
service ReactorServicer {
    // Get VInitial
    //   Get initial liquid volume value. Initial liquid volume (initial working volume).
    rpc GetVInitial(sila2.org.silastandard.examples.reactorservicer.v1.GetVInitial_Parameters) returns (sila2.org.silastandard.examples.reactorservicer.v1.GetVInitial_Responses) {}
    // Set VInitial
    //   
    //           Set the reactor initial liquid volume value. Initial liquid volume (initial working volume).
    //   
    rpc SetVInitial(sila2.org.silastandard.examples.reactorservicer.v1.SetVInitial_Parameters) returns (sila2.org.silastandard.examples.reactorservicer.v1.SetVInitial_Responses) {}
    // Get VLiquid
    //   Get actual liquid volume value. Actual liquid volume (working volume).
    rpc GetVLiquid(sila2.org.silastandard.examples.reactorservicer.v1.GetVLiquid_Parameters) returns (sila2.org.silastandard.examples.reactorservicer.v1.GetVLiquid_Responses) {}
    // Set VLiquid
    //   
    //           Set the reactor actual liquid volume value. Actual liquid volume (working volume).
    //   
    rpc SetVLiquid(sila2.org.silastandard.examples.reactorservicer.v1.SetVLiquid_Parameters) returns (sila2.org.silastandard.examples.reactorservicer.v1.SetVLiquid_Responses) {}
    // Get VMax
    //   Get max liquid volume value. Max allowed liquid volume.
    rpc GetVMax(sila2.org.silastandard.examples.reactorservicer.v1.GetVMax_Parameters) returns (sila2.org.silastandard.examples.reactorservicer.v1.GetVMax_Responses) {}
    // Set VMax
    //   
    //           Set the reactor max liquid volume value. Max allowed liquid volume.
    //   
    rpc SetVMax(sila2.org.silastandard.examples.reactorservicer.v1.SetVMax_Parameters) returns (sila2.org.silastandard.examples.reactorservicer.v1.SetVMax_Responses) {}
    // Get VMin
    //   Get min liquid volume value. Min allowed liquid volume.
    rpc GetVMin(sila2.org.silastandard.examples.reactorservicer.v1.GetVMin_Parameters) returns (sila2.org.silastandard.examples.reactorservicer.v1.GetVMin_Responses) {}
    // Set VMin
    //   
    //           Set the reactor min liquid volume value. Min allowed liquid volume.
    //   
    rpc SetVMin(sila2.org.silastandard.examples.reactorservicer.v1.SetVMin_Parameters) returns (sila2.org.silastandard.examples.reactorservicer.v1.SetVMin_Responses) {}
    // Get VTotal
    //   Get total liquid volume value. Total vessel volume.
    rpc GetVTotal(sila2.org.silastandard.examples.reactorservicer.v1.GetVTotal_Parameters) returns (sila2.org.silastandard.examples.reactorservicer.v1.GetVTotal_Responses) {}
    // Set VTotal
    //   
    //           Set the reactor total liquid volume value. Total vessel volume.
    //   
    rpc SetVTotal(sila2.org.silastandard.examples.reactorservicer.v1.SetVTotal_Parameters) returns (sila2.org.silastandard.examples.reactorservicer.v1.SetVTotal_Responses) {}
    
    
}

// ----------------- Data Type definitions -----------------


// ------ Command Parameter and Response definitions -------
message GetVInitial_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetVInitial_Responses {
    sila2.org.silastandard.Real CurrentVInitial = 1;
}

message SetVInitial_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real VInitial = 2;
}

message SetVInitial_Responses {
    sila2.org.silastandard.Real VInitialSet = 1;
}

message GetVLiquid_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetVLiquid_Responses {
    sila2.org.silastandard.Real CurrentVLiquid = 1;
}

message SetVLiquid_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real VLiquid = 2;
}

message SetVLiquid_Responses {
    sila2.org.silastandard.Real VLiquidSet = 1;
}

message GetVMax_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetVMax_Responses {
    sila2.org.silastandard.Real CurrentVMax = 1;
}

message SetVMax_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real VMax = 2;
}

message SetVMax_Responses {
    sila2.org.silastandard.Real VMaxSet = 1;
}

message GetVMin_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetVMin_Responses {
    sila2.org.silastandard.Real CurrentVMin = 1;
}

message SetVMin_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real VMin = 2;
}

message SetVMin_Responses {
    sila2.org.silastandard.Real VMinSet = 1;
}

message GetVTotal_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetVTotal_Responses {
    sila2.org.silastandard.Real CurrentVTotal = 1;
}

message SetVTotal_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real VTotal = 2;
}

message SetVTotal_Responses {
    sila2.org.silastandard.Real VTotalSet = 1;
}


// ----------------- Metadata Definitions ------------------
